# Custom HTML

Custom HTML website, served using Nginx.

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`compose-stacks/traefik`]
3. `abra app new custom-html`
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Copy your files to the container, using something like
```
abra app YOURAPPDOMAIN cp index.html app:/usr/share/nginx/html
```

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`compose-stacks/traefik`]: https://git.autonomic.zone/compose-stacks/traefik
